Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.soap
Interface SOAPConstants

public interface SOAPConstants

The definition of constants pertaining to the SOAP 1.1 protocol.

Field Summary
`static java.lang.String` | `URI_NS_SOAP_ENCODING` The namespace identifier for the SOAP encoding (see section 5 of the SOAP 1.1 specification).
`static java.lang.String` | `URI_NS_SOAP_ENVELOPE` The namespace identifier for the SOAP envelope.
`static java.lang.String` | `URI_SOAP_ACTOR_NEXT` The URI identifying the first application processing a SOAP request as the intended actor for a SOAP header entry (see section 4.2.2 of the SOAP 1.1 specification).

Field Detail

### URI_NS_SOAP_ENVELOPE

    public static final java.lang.String URI_NS_SOAP_ENVELOPE

  The namespace identifier for the SOAP envelope.

  See Also:
    Constant Field Values

### URI_NS_SOAP_ENCODING

    public static final java.lang.String URI_NS_SOAP_ENCODING

  The namespace identifier for the SOAP encoding (see section 5 of the SOAP 1.1 specification).

  See Also:
    Constant Field Values

### URI_SOAP_ACTOR_NEXT

    public static final java.lang.String URI_SOAP_ACTOR_NEXT

  The URI identifying the first application processing a SOAP request as the intended actor for a SOAP header entry (see section 4.2.2 of the SOAP 1.1 specification).

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.